import { jsx } from "react/jsx-runtime";
import { Tote as Tote$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Tote = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Tote", ...props, children: /* @__PURE__ */ jsx(Tote$1, { weight: variant }) });
  }
);
Tote.displayName = "Tote";
Object.assign(Tote, { isGdsIcon: true });
export {
  Tote
};
